using Animals;
using Telerik.OpenAccess;
using System.Linq;
using System.Collections;
using System;
/*
 * IsManaged
 */
namespace ConsoleTest
{
  class Program
  {
    static void Main(string[] args)
    {
      using (IObjectScope scope = ObjectScopeProvider1.GetNewObjectScope())
      {
        scope.Transaction.Begin();

        Animal animal = new Animal();
        animal.Name = "Bob";
        scope.Add(animal); 

        Dog dog = new Dog();
        dog.Name = "Fluffy";
        dog.Breed = "Mutt";
        scope.Add(dog);

        Bird bird = new Bird();
        bird.Name = "Tweety";
        bird.WingSpan = 10;
        scope.Add(bird);

        Parrot parrot = new Parrot();
        parrot.Name = "Polly";
        parrot.WingSpan = 12;
        parrot.HasWonderfulPlumage = true;
        scope.Add(parrot);

        scope.Transaction.Commit();
      }
    }

  }
}
